package com.codigoparallevar.minicards.types;

import android.graphics.Canvas;

import java.util.List;

public interface OutputConnector extends Selectable, Dropper {
    void drawWires(Canvas canvas, boolean devMode);
    void updatePosition(int x, int y);

    List<Tuple2<String, String>> getConnectionEndpoints();

    void connectTo(InputConnector inputConnector);
}
