package com.codigoparallevar.minicards.types;

public interface InputConnector extends Selectable, Dropper {
    void updatePosition(int x, int y);

    int getX();
    int getY();

    void sendSignal();

    void getAttachment(Wire wire);

    Part getPart();

    String getId();
}
